'use strict'

const   _       = require( 'lodash' )

module.exports = server =>
({
    name            : 'multicast'
,   passToListeners : function( filter, message )
                    {
                        const relevantConnections = Object.values( server.connectionRegister )
                                                        .filter( connection =>
                                                            _.isMatch( connection.store, filter )
                                                        )

                        for ( let connection of relevantConnections )
                        {
                            connection.notify( message )
                        }
                    }
})